> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Property

> API for creating custom property of contacts. Custom properties store specific information for contact records in Mailercloud. You are allowed to create a maximum of 100 properties.



## OpenAPI

````yaml /openapi-v1.json post /contact/property
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /contact/property:
    post:
      tags:
        - Custom Properties
      summary: Create Property
      description: >-
        API for creating custom property of contacts. Custom properties store
        specific information for contact records in Mailercloud. You are allowed
        to create a maximum of 100 properties.
      operationId: create-property
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                description:
                  type: string
                  description: |-
                    Description for your property

                    Minimum: 3
                     
                    Maximum: 500 
                  minLength: 3
                  maxLength: 500
                name:
                  type: string
                  description: |-
                    Your name for your property 

                    Minimum: 3
                     
                    Maximum: 30 
                  minLength: 3
                  maxLength: 30
                type:
                  type: string
                  description: |-
                    Your property type
                     
                     supported types
                      
                     text,number,date,textarea
              required:
                - name
                - type
            examples:
              example-1:
                value:
                  description: string
                  name: string
                  type: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties: {}
                required:
                  - id
              examples:
                example-1:
                  value:
                    id: xyz
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
                    required:
                      - field
                      - message
                required:
                  - error
              examples:
                example-1:
                  value:
                    error:
                      field: name
                      message: The name field must be at least 3 characters
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````